﻿using Steema.TeeChart;
using Steema.TeeChart.Export;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.ComTypes;
using System.Text;
using System.Text.Json;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TChartWinFormsFramework
{
	public partial class Form1 : Form
	{
		Steema.TeeChart.TChart tChart1;

		public Form1()
		{
			InitializeComponent();
			tChart1 = new Steema.TeeChart.TChart();
			this.Controls.Add(tChart1);
			tChart1.Dock = DockStyle.Top;
			InitializeChart();
		}

		private void InitializeChart()
		{
			tChart1.Chart.Header.Visible = true;

			Line line = new Line();
			line.Stairs = true;
			line.VertAxis = VerticalAxis.Left;
			line.Marks.FollowSeriesColor = true;

			tChart1.Series.Add(line);
			tChart1.Tools.Add(new Steema.TeeChart.Tools.CursorTool());
		}


		private void Form1_Load(object sender, EventArgs e)
		{
			Thread.Sleep(1000);

			File.Delete("template.json");
			tChart1.Export.Template.IncludeData = false;
			tChart1.Export.Template.Save("template.json");


			Thread.Sleep(1000);

			tChart1 = new Steema.TeeChart.TChart();
			this.Controls.Add(tChart1);
			tChart1.Dock = DockStyle.Top;
			tChart1.Import.Template.Load("template.json");
			tChart1.Refresh();
		}
	}
}
